package cz.moneta.test.dsl.ufo.banka.pages.main;

import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.HPO039_S001_MbcDetailPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.OPN008_S001_SignContractPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.credit.POZ001_S009_ServiceOperationsCreditCardSignConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.cards.debit.*;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.*;
import cz.moneta.test.dsl.ufo.banka.pages.fon.CIF001_S017_ClientSignatureConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.CIF003_S003_ContinueAfterSigningChange;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fop.CIF001_S018_CompanySignatureCifConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.insurance.OBR001_S001_AppendixSignedPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.NEP028_S001_SignaturePage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.creditCard.ONC001_S001_NewCreditCardPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.components.CIF003_S005_ContinueAfterSignPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.signature.patterns.NPV019_OBR001_ConfirmationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.debit.card.NPK001_S001_DebitCardRequestPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.CHK001_S001_WaitingForModulationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.KUL030_S001_SignSmeApplicationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.KUL071_S001_RequestForSMEPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.sme.SMA010_S001_SignedContractDocumentationPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.universal.request.UZO001_S003_SigningByTheApplicant;
import cz.moneta.test.dsl.ufo.banka.pages.requests.PSI001_S050_PreContractualInformationPrintedPage;
import cz.moneta.test.dsl.ufo.banka.pages.requests.PSI001_S053_PrintCopyOfSuccessfulContractProposalPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface PSP004_S001_PrintPageTransitions extends WebFlow<PSP004_S001_PrintPageTransitions> {

    POD038_S001_InsuracesSignedPage onInsurancePage();

    PSP004_S001_PrintPage onPrintPage();

    PSP012_S001_PrintPage onAnotherPrintPage();

    OBR001_S001_PrintInstructionPage onSignerPage();

    PLK003_S002_BlockMenu onBlockMenu();

    OBR003_S001_ClientContractSignPage onContractSignPage();

    CIF003_S003_ContinueAfterSigningChange onContinueAfterSigning();

    CIF001_S018_CompanySignatureCifConfirmationPage onCompanySignatureCifConfirmationPage();

    POZ001_S009_ServiceOperationsCreditCardSignConfirmationPage onCreditCardSignConfirmation();

    POZ002_OBR001_002_ChildCardConfirmationPage onChildCardConfirmationPage();

    BPP001_S001_DocumentationSendPage onSendDocumentationPage();

    OBR003_S001_ClientContractSignPage onInkaso();

    INK001_OBR001_004_ConfirmationPage onInkasoAgreement();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    KUL030_S001_SignSmeApplicationPage onSmeApplicationSignPage();

    HKO101_S001_MainClientPage onMainClientPage();

    OBR001_S001_AppendixSignedPage onAppendixSignedPage();

    BAL001_S008_SummaryStartDocumentsPage onSummaryStartDocumentsPage();

    KUL071_S001_RequestForSMEPage onRequestForSMEPage();

    OBR003_S001_ClientContractSignPage onClientContractSignPage();

    CIF001_S017_ClientSignatureConfirmationPage onClientSignatureConfirmationPage();

    TIS027_OBR001_PreContractualInformationPage onPreContractualInformationPage();

    NPV019_OBR001_ConfirmationPage onConfirmationPage();

    TIS051_OBR001_ContractDocumentationPage onContractDocumentationPage();

    HPO039_S001_MbcDetailPage onMbcDetailPage();

    NEP028_S001_SignaturePage onSignaturePage();

    CIF003_S005_ContinueAfterSignPage onContinueAfterSignPage();

    PSI001_S050_PreContractualInformationPrintedPage onInformationPrintedPage();

    TIS004_S002_SignerSelectionPage onSignerSelectionPage();

    NPK001_S001_DebitCardRequestPage onDebitCardRequestPage();

    ONC001_S001_NewCreditCardPage onCreditCardPage();

    OPN008_S001_SignContractPage onSignContractPage();

    TRP001_OBR001_002_StandingOrderConfirmationPage onStandingOrderConfirmationPage();

    SMA010_S001_SignedContractDocumentationPage onSMESignedContractDocumentation();

    TIS050_S002_SignerSelectionPage onSignerSelection();

    PKU001_OBR001_SignatureApprovalPage onSignatureApprovalPage();

    SIP001_OBR001_007_DocumentConfirmationPage onDocumentConfirmationPage();

    PSI001_S053_PrintCopyOfSuccessfulContractProposalPage onPrintCopyOfContractProposalSuccessfullPage();

    UZO001_S003_SigningByTheApplicant onUniversalApplicationSignaturePage();

    TIS046_S001_DocumentsProvidedToClientPage onDocumentsProvidedToClientPage();

    CHK001_S001_WaitingForModulationPage onWaitForModulationPage();

    HPO009_S001_DebitCardDetailPage onDebitCardDetailPage();
}